Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Deprecate rails 3.0

We can't support that forever.
  • Loading branch information...
commit 0c479f76a7b3b96076b58c3f07aa2b3a35cf93da 1 parent ed21ff9
@iNecas iNecas authored
Showing with 6 additions and 6 deletions.
  1. +0 −1  .travis.yml
  2. +0 −5 Gemfile.rails30
  3. +6 −0 lib/apipie-rails.rb
View
1  .travis.yml
@@ -4,7 +4,6 @@ rvm:
- 2.0.0
- 2.1.1
gemfile:
- - Gemfile.rails30
- Gemfile.rails32
- Gemfile.rails40
- Gemfile.rails41
View
5 Gemfile.rails30
@@ -1,5 +0,0 @@
-source "https://rubygems.org"
-
-gemspec
-
-gem 'rails', '~> 3.0.0'
View
6 lib/apipie-rails.rb
@@ -1,4 +1,6 @@
require 'i18n'
+require 'active_support/hash_with_indifferent_access'
+
require "apipie/routing"
require "apipie/markup"
require "apipie/apipie_module"
@@ -14,3 +16,7 @@
require "apipie/railtie"
require 'apipie/extractor'
require "apipie/version"
+
+if Rails.version.start_with?("3.0")
+ warn 'Warning: apipie-rails is not going to support Rails 3.0 anymore in future versions'
+end
Please sign in to comment.
Something went wrong with that request. Please try again.